Subject: [106attendees] Gratuitous unsolicited photo sharing from Singapore

From: Brian Campbell <[email-masked]>
Date: Sat, 23 Nov 2019 08:37:34 +0800

as I'm wont to do - just one this time: https://flic.kr/p/2hPpUDR

-- 
_CONFIDENTIALITY NOTICE: This email may contain confidential and privileged 
material for the sole use of the intended recipient(s). Any review, use, 
distribution or disclosure by others is strictly prohibited.  If you have 
received this communication in error, please notify the sender immediately 
by e-mail and delete the message and any file attachments from your 
computer. Thank you._